c*******************************************************************************
c      x: Longitude (unit:degree)
c      y:  Latitude (unit:degree)
c    dep: Sea Water Depth (unit: meter)
c    omg: Tidal Frequency (unit: radian/second)  
c   eamp: Amplitude of Sea Surface Elevation (unit:meter)
c   ephs:     Phase of Sea Surface Elevation (unit:radian/second)
c   uamp: Amplitude of Depth-Averaged Eastward  Velocity (unit: meter/second )
c   uphs:     Phase of Depth-Averaged Eastward  Velocity (unit:radian/second)
c   vamp: Amplitude of Depth-Averaged Northward Velocity (unit: meter/second )
c   vphs:     Phase of Depth-Averaged Northward Velocity (unit:radian/second) 
c
c   Surface Elevation at Greenwich mean time T    = eamp*cos(omg*T-ephs)
c   Depth-Averaged Eastward  Velocity...........  = uamp*cos(omg*T-uphs)
c   Depth-Averaged Northward Velocity...........  = vamp*cos(omg*T-vphs)
c*******************************************************************************
      integer iq,jq
      parameter(iq=1441,jq=721)
      real x(iq),y(jq),dep(iq,jq),omg
      real eamp(iq,jq),ephs(iq,jq)
      real uamp(iq,jq),uphs(iq,jq)
      real vamp(iq,jq),vphs(iq,jq)     
c--open data file--
      open(10,file='ELEUV-NP.M2.BIN',form='unformatted')
c--read data--
      read(10) (x(i),i=1,iq),(y(j),j=1,jq)
      read(10) ((dep(i,j),i=1,iq),j=1,jq)
      read(10) omg
      read(10) ((eamp(i,j),i=1,iq),j=1,jq),((ephs(i,j),i=1,iq),j=1,jq)
      read(10) ((uamp(i,j),i=1,iq),j=1,jq),((uphs(i,j),i=1,iq),j=1,jq)
      read(10) ((vamp(i,j),i=1,iq),j=1,jq),((vphs(i,j),i=1,iq),j=1,jq)      
c---
      stop
      end
